src/main/java/maxempresarial/controlador/cadastro/EmpresaBean.java
package maxempresarial.controlador.cadastro;

import java.awt.image.BufferedImage;
import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import javax.annotation.PostConstruct;
import javax.faces.context.FacesContext;
import javax.faces.view.ViewScoped;
import javax.imageio.ImageIO;
import javax.inject.Inject;
import javax.inject.Named;

import org.hibernate.validator.constraints.NotBlank;
import org.primefaces.context.RequestContext;
import org.primefaces.event.SelectEvent;
import org.primefaces.model.UploadedFile;

import maxempresarial.modelo.Cidade;
import maxempresarial.modelo.Contato;
import maxempresarial.modelo.Empresa;
import maxempresarial.modelo.Endereco;
import maxempresarial.modelo.Estado;
import maxempresarial.modelo.Pais;
import maxempresarial.modelo.Telefone;
import maxempresarial.modelo.enumTipo.RamoAtividade;
import maxempresarial.modelo.enumTipo.TipoTelefone;
import maxempresarial.modelo.enumTipo.TiposSimplesNacional;
import maxempresarial.modelo.enumTipo.TiposSimplesNacionalIssqn;
import maxempresarial.repositorio.dao.ExcecaoDAO;
import maxempresarial.repositorio.filtro.CidadeFiltro;
import maxempresarial.repositorio.filtro.EstadoFiltro;
import maxempresarial.repositorio.filtro.PaisFiltro;
import maxempresarial.repositorio.pesquisa.CidadePesquisa;
import maxempresarial.repositorio.pesquisa.EstadoPesquisa;
import maxempresarial.repositorio.pesquisa.PaisPesquisa;
import maxempresarial.servico.EmpresaServico;
import maxempresarial.servico.ExcecaoRN;
import maxempresarial.util.jsf.FacesUtil;

/**
 * Classe de controle da tela de cadastro da empresa;
 * 
 * @author Alexandre Martins da Silva
 * 
 * @version 1.00
 * 
 */

@Named
@ViewScoped
public class EmpresaBean implements Serializable {

	private static final long serialVersionUID = 1L;

	@Inject
	private EmpresaServico empresaServico;

	@Inject
	private EstadoPesquisa estadoPesquisa;

	@Inject
	private CidadePesquisa cidadePesquisa;

	@Inject
	private PaisPesquisa paisPesquisa;

	private Empresa empresa;
	private Endereco endereco;
	private Contato contato;
	private Telefone telefone;
	private UploadedFile uploadArquivo;

	private List<Estado> estadosEndereco;
	private List<Cidade> cidades;
	private List<Pais> paises = new ArrayList<>();

	public EmpresaBean() {
		this.limpar();
	}

	@PostConstruct
	public void inicializar() {
		if (this.empresa == null) {
			this.limpar();
		}
		this.paises = this.paisPesquisa.filtrados(new PaisFiltro());
	}

	private void limpar() {
		this.empresa = new Empresa();
		this.endereco = new Endereco();
		this.estadosEndereco = new ArrayList<>();
		this.cidades = new ArrayList<>();
		this.contato = new Contato();
		this.telefone = new Telefone();
	}

	public void adicionarEndereco() {
		this.endereco = new Endereco();
		this.estadosEndereco = new ArrayList<>();
		this.cidades = new ArrayList<>();
	}

	public void adicionarContato() {
		this.contato = new Contato();
	}

	public void adicionarTelefone() {
		this.telefone = new Telefone();
	}

	public void salvarEmpresa() {
		try {
			if (this.uploadArquivo != null) {
				this.empresa.setLogo(this.uploadArquivo.getContents());
			}
			this.empresa = this.empresaServico.salvar(this.empresa);
			this.limpar();

			FacesUtil.mensagemInformacao(FacesUtil.getMensagemInternacionalizacao("salvo_corretamente_mensagem"),
					FacesUtil.getMensagemInternacionalizacao("salvo_corretamente_detalhes"));
		} catch (ExcecaoRN ern) {
			FacesUtil.mensagemAviso(FacesUtil.getMensagemInternacionalizacao("atencao_mensagem"), FacesUtil.getMensagemInternacionalizacao(ern.getMessage()));
		} catch (ExcecaoDAO edao) {
			FacesUtil.mensagemErro(FacesUtil.getMensagemInternacionalizacao("salvo_falha_mensagem"), edao.getMessage());
		}
	}

	public void inserirEndereco() {
		RequestContext context = RequestContext.getCurrentInstance();
		boolean adicionado = false;

		if (this.endereco.getPk() == null) {
			this.empresa.getEnderecos().add(this.endereco);
			adicionado = true;
			this.endereco = new Endereco();
			FacesUtil.mensagemInformacao(FacesUtil.getMensagemInternacionalizacao("inserido_corretamente_mensagem"),
					FacesUtil.getMensagemInternacionalizacao("inserido_corretamente_detalhes"));
		} else if (this.endereco != null) {
			adicionado = true;
			FacesUtil.mensagemInformacao(FacesUtil.getMensagemInternacionalizacao("inserido_corretamente_mensagem"),
					FacesUtil.getMensagemInternacionalizacao("inserido_corretamente_detalhes"));
		}
		context.addCallbackParam("adicionado", adicionado);
	}

	public void inserirContato() {
		RequestContext context = RequestContext.getCurrentInstance();
		boolean adicionado = false;

		if (this.contato.getPk() == null) {
			this.empresa.getContatos().add(this.contato);
			adicionado = true;
			this.contato = new Contato();
			FacesUtil.mensagemInformacao(FacesUtil.getMensagemInternacionalizacao("inserido_corretamente_mensagem"),
					FacesUtil.getMensagemInternacionalizacao("inserido_corretamente_detalhes"));
		} else if (this.contato != null) {
			adicionado = true;
			FacesUtil.mensagemInformacao(FacesUtil.getMensagemInternacionalizacao("inserido_corretamente_mensagem"),
					FacesUtil.getMensagemInternacionalizacao("inserido_corretamente_detalhes"));
		}
		context.addCallbackParam("adicionado", adicionado);
	}

	public void inserirTelefone() {
		RequestContext context = RequestContext.getCurrentInstance();
		boolean adicionado = false;

		if (this.telefone.getPk() == null) {
			this.empresa.getTelefones().add(this.telefone);
			adicionado = true;
			this.telefone = new Telefone();
			FacesUtil.mensagemInformacao(FacesUtil.getMensagemInternacionalizacao("inserido_corretamente_mensagem"),
					FacesUtil.getMensagemInternacionalizacao("inserido_corretamente_detalhes"));
		} else if (this.telefone != null) {
			adicionado = true;
			FacesUtil.mensagemInformacao(FacesUtil.getMensagemInternacionalizacao("inserido_corretamente_mensagem"),
					FacesUtil.getMensagemInternacionalizacao("inserido_corretamente_detalhes"));
		}
		context.addCallbackParam("adicionado", adicionado);
	}

	public void abrirDialogo() {
		Map<String, Object> opcoes = new HashMap<>();
		opcoes.put("modal", true);
		opcoes.put("resizable", false);
		opcoes.put("contentHeight", 470);

		RequestContext.getCurrentInstance().openDialog("/dialogos/selecaoEmpresa", opcoes, null);
	}

	public void abrirDialogoCidade() {
		Map<String, Object> opcoes = new HashMap<>();
		opcoes.put("modal", true);
		opcoes.put("resizable", false);
		opcoes.put("contentHeight", 470);

		RequestContext.getCurrentInstance().openDialog("/dialogos/selecaoCidade", opcoes, null);
	}

	public void selecionar(Empresa empresa) {
		RequestContext.getCurrentInstance().closeDialog(empresa);
	}

	public void selecionarCidade(Cidade cidade) {
		RequestContext.getCurrentInstance().closeDialog(cidade);
	}

	public void cidadeSelecionada(SelectEvent event) {
		this.telefone.setDdd((Cidade) event.getObject());
	}

	public void excluirEndereco() {
		if (this.endereco != null) {
			this.empresa.getEnderecos().remove(this.endereco);
		}
	}

	public void excluirContato() {
		if (this.contato != null) {
			this.empresa.getContatos().remove(this.contato);
		}
	}

	public void excluirTelefone() {
		if (this.telefone != null) {
			this.empresa.getTelefones().remove(this.telefone);
		}
	}

	public boolean isEditandoEmpresa() {
		return this.empresa.getPk() != null;
	}

	public boolean isFaseRenderizacao() {
		if (FacesContext.getCurrentInstance().getCurrentPhaseId().getName().equals("RENDER_RESPONSE")) {
			return true;
		} else {
			return false;
		}

	}

	public TiposSimplesNacional[] getTiposSimplesNacional() {
		return TiposSimplesNacional.values();
	}

	public TiposSimplesNacionalIssqn[] getTiposSimplesNacionalIssqn() {
		return TiposSimplesNacionalIssqn.values();
	}

	public TipoTelefone[] getTipoTelefone() {
		return TipoTelefone.values();
	}

	public RamoAtividade[] getRamo() {
		return RamoAtividade.values();
	}

	public Empresa getEmpresa() {
		return empresa;
	}

	public void setEmpresa(Empresa empresa) {
		this.empresa = empresa;
	}

	public Endereco getEndereco() {
		return endereco;
	}

	public void setEndereco(Endereco endereco) {
		this.endereco = endereco;
	}

	public Contato getContato() {
		return contato;
	}

	public void setContato(Contato contato) {
		this.contato = contato;
	}

	public Telefone getTelefone() {
		return telefone;
	}

	public void setTelefone(Telefone telefone) {
		this.telefone = telefone;
	}

	public List<Estado> getEstadosEndereco() {
		this.estadosEndereco.clear();
		if (this.endereco.getPais() != null) {
			EstadoFiltro filtro = new EstadoFiltro();
			filtro.setPais(this.endereco.getPais());
			return estadosEndereco = this.estadoPesquisa.filtrados(filtro);
		}
		return null;
	}

	public List<Cidade> getCidades() {
		this.cidades.clear();
		if (this.endereco.getEstado() != null) {
			CidadeFiltro filtro = new CidadeFiltro();
			filtro.setEstado(this.endereco.getEstado());
			return cidades = this.cidadePesquisa.filtrados(filtro);
		}
		return null;
	}

	public List<Pais> getPaises() {
		return paises;
	}

	public UploadedFile getUploadArquivo() {
		return uploadArquivo;
	}

	public void setUploadArquivo(UploadedFile uploadArquivo) {
		this.uploadArquivo = uploadArquivo;
	}

	public BufferedImage getLogo() throws IOException {
		if (this.empresa.getLogo() != null) {
			return ImageIO.read(new ByteArrayInputStream(this.empresa.getLogo()));
		}
		return null;
	}

	@NotBlank(message = "DDD não pode esta vazia.")
	public String getDdd() {
		return this.telefone.getDdd() == null ? null : this.telefone.getDdd().getDdd();
	}

	// metodo para burlar erro do JSF
	public void setDdd(String nome) {
	}

}

src/main/java/maxempresarial/controlador/cadastro/PaisBean.java
package maxempresarial.controlador.cadastro;

import java.awt.image.BufferedImage;
import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.Serializable;
import java.util.List;
import java.util.Map;

import javax.annotation.PostConstruct;
import javax.faces.view.ViewScoped;
import javax.imageio.ImageIO;
import javax.inject.Inject;
import javax.inject.Named;

import org.apache.poi.hssf.usermodel.HSSFCellStyle;
import org.apache.poi.hssf.usermodel.HSSFRow;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.ss.usermodel.FillPatternType;
import org.apache.poi.ss.usermodel.Font;
import org.apache.poi.ss.usermodel.IndexedColors;
import org.primefaces.context.RequestContext;
import org.primefaces.model.LazyDataModel;
import org.primefaces.model.SortOrder;
import org.primefaces.model.UploadedFile;

import maxempresarial.modelo.Pais;
import maxempresarial.repositorio.dao.ExcecaoDAO;
import maxempresarial.repositorio.filtro.PaisFiltro;
import maxempresarial.repositorio.pesquisa.PaisPesquisa;
import maxempresarial.servico.ExcecaoRN;
import maxempresarial.servico.PaisServico;
import maxempresarial.util.jsf.FacesUtil;

@Named
@ViewScoped
public class PaisBean implements Serializable {

	private static final long serialVersionUID = 1L;

	@Inject
	private PaisServico paisServico;

	@Inject
	private PaisPesquisa paisPesquisa;

	private Pais pais;
	private UploadedFile uploadArquivo = null;
	private PaisFiltro filtro;
	private LazyDataModel<Pais> lazyPaises;

	@PostConstruct
	public void inicializar() {
		this.filtro = new PaisFiltro();

		this.lazyPaises = new LazyDataModel<Pais>() {

			private static final long serialVersionUID = 1L;

			@Override
			public List<Pais> load(int primeiroRegistro, int quantidadeRegistros, String propriedadeOrdenacao, SortOrder ascendente,
					Map<String, Object> filters) {

				filtro.setPrimeiroRegistro(primeiroRegistro);
				filtro.setQuantidadeDeRegistros(quantidadeRegistros);
				filtro.setPropriedadeParaOrdenacao(propriedadeOrdenacao);
				filtro.setAscendente(SortOrder.ASCENDING.equals(ascendente));

				this.setRowCount(paisPesquisa.quantidadePaisesFiltrados(filtro));

				return paisPesquisa.filtrados(filtro);
			}

		};
	}

	public void adicionar() {
		this.pais = new Pais();
	}

	public void salvarPais() {
		RequestContext context = RequestContext.getCurrentInstance();
		boolean adicionado = false;

		try {
			if (this.uploadArquivo != null) {
				this.pais.setBandeira(this.uploadArquivo.getContents());
			}
			this.pais = this.paisServico.salvar(this.pais);
			adicionado = true;
			this.pais = new Pais();

			FacesUtil.mensagemInformacao(FacesUtil.getMensagemInternacionalizacao("salvo_corretamente_mensagem"),
					FacesUtil.getMensagemInternacionalizacao("salvo_corretamente_detalhes"));
		} catch (ExcecaoRN ern) {
			FacesUtil.mensagemAviso(FacesUtil.getMensagemInternacionalizacao("atencao_mensagem"), FacesUtil.getMensagemInternacionalizacao(ern.getMessage()));
		} catch (ExcecaoDAO edao) {
			FacesUtil.mensagemErro(FacesUtil.getMensagemInternacionalizacao("salvo_falha_mensagem"), edao.getMessage());
		}
		context.addCallbackParam("adicionado", adicionado);
	}

	public void posProcessarXls(Object documento) {
		HSSFWorkbook planilha = (HSSFWorkbook) documento;
		HSSFSheet folha = planilha.getSheetAt(0);
		HSSFRow cabecalho = folha.getRow(0);
		HSSFCellStyle estiloDaCelula = planilha.createCellStyle();
		Font fonteDoCabecalho = planilha.createFont();

		fonteDoCabecalho.setColor(IndexedColors.WHITE.getIndex());
		fonteDoCabecalho.setBold(true);
		fonteDoCabecalho.setFontHeightInPoints((short) 13);

		estiloDaCelula.setFont(fonteDoCabecalho);
		estiloDaCelula.setFillForegroundColor(IndexedColors.BLACK.getIndex());
		estiloDaCelula.setFillPattern(FillPatternType.SOLID_FOREGROUND);

		for (int i = 0; i < cabecalho.getPhysicalNumberOfCells(); i++) {
			cabecalho.getCell(i).setCellStyle(estiloDaCelula);
		}

	}

	public void excluir() {
		try {
			this.paisServico.excluir(this.pais);

			FacesUtil.mensagemInformacao(FacesUtil.getMensagemInternacionalizacao("exclusao_corretamente_mensagem"),
					FacesUtil.getMensagemInternacionalizacao("exclusao_corretamente_detalhes"));
		} catch (ExcecaoRN ern) {
			FacesUtil.mensagemAviso(FacesUtil.getMensagemInternacionalizacao("atencao_mensagem"), FacesUtil.getMensagemInternacionalizacao(ern.getMessage()));
		} catch (ExcecaoDAO edao) {
			FacesUtil.mensagemErro(FacesUtil.getMensagemInternacionalizacao("exclusao_falha_mensagem"), edao.getMessage());
		}
	}

	public Pais getPais() {
		return this.pais == null ? null : this.pais;
	}

	public void setPais(Pais pais) {
		this.pais = pais;
	}

	public PaisFiltro getFiltro() {
		return filtro;
	}

	public LazyDataModel<Pais> getLazyPaises() {
		return lazyPaises;
	}

	public UploadedFile getUploadArquivo() {
		return uploadArquivo;
	}

	public void setUploadArquivo(UploadedFile uploadArquivo) {
		this.uploadArquivo = uploadArquivo;
	}

	public BufferedImage getBandeira() throws IOException {
		if (this.pais.getBandeira() != null) {
			return ImageIO.read(new ByteArrayInputStream(this.pais.getBandeira()));
		}
		return null;
	}

}

src/main/webapp/empresas/auditoriaEmpresa.xhtml
<ui:composition xmlns="http://www.w3.org/1999/xhtml" xmlns:h="http://xmlns.jcp.org/jsf/html" xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets" xmlns:p="http://primefaces.org/ui" xmlns:o="http://omnifaces.org/ui">

	<h:form id="frmAuditoria">
		<p:panelGrid id="painelAuditoriaEmpresa" columns="3" columnClasses="ui-grid-col-2,ui-grid-col-2,ui-grid-col-2" layout="grid" styleClass="ui-panelgrid-blank">
			<p:outputLabel value="#{msg.auditoria_incluiu_por}" styleClass="estilo-campo" />
			<p:inputText value="#{empresaBean.empresa.auditoria.usuarioIncluiu}" disabled="true" styleClass="estilo-campo" />
			<p:calendar value="#{empresaBean.empresa.auditoria.dataInclusao}" pattern="dd/MM/yyyy HH:mm:ss" disabled="true" styleClass="estilo-campo" />

			<p:outputLabel value="#{msg.auditoria_alterado_por}" styleClass="estilo-campo" />
			<p:inputText value="#{empresaBean.empresa.auditoria.usuarioAlterou}" disabled="true" styleClass="estilo-campo" />
			<p:calendar value="#{empresaBean.empresa.auditoria.dataAlteracao}" pattern="dd/MM/yyyy HH:mm:ss" disabled="true" styleClass="estilo-campo" />
		</p:panelGrid>
	</h:form>
</ui:composition>

src/main/webapp/empresas/telefoneEmpresa.xhtml
<ui:composition xmlns="http://www.w3.org/1999/xhtml" xmlns:h="http://xmlns.jcp.org/jsf/html" xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets" xmlns:p="http://primefaces.org/ui" xmlns:o="http://omnifaces.org/ui">

	<h:form id="frmPesquisaTelefones">
		<p:commandButton oncomplete="PF('telefoneEmpresaDetalhesDialog').show()" process="@this"
			update=":tabViewOpcoes:frmCadastroTelefone:painelCadastroTelefoneEmpresa" value="#{msg.botao_adicionar}" styleClass="botao-adicionar"
			action="#{empresaBean.adicionarTelefone}" />

		<p:dataTable id="tabelaTelefoneEmpresa" var="telefoneEmpresa" value="#{empresaBean.empresa.telefones}" reflow="true"
			emptyMessage="#{msg.datatable_pesquisa_menssagem}" rows="35" paginator="true" paginatorPosition="bottom" rowsPerPageTemplate="20,35,50"
			paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}">

			<p:column headerText="#{msg.telefone_ddi}">
				<p:outputLabel value="#{telefoneEmpresa.ddi.ddi}" />
			</p:column>

			<p:column headerText="#{msg.telefone_ddd}">
				<p:outputLabel value="#{telefoneEmpresa.ddd.ddd}" />
			</p:column>

			<p:column headerText="#{msg.telefone_telefone}">
				<p:outputLabel value="#{telefoneEmpresa.telefone}" />
			</p:column>

			<p:column headerText="#{msg.telefone_tipo}">
				<p:outputLabel value="#{telefoneEmpresa.tipo.descricao}" />
			</p:column>

			<p:column styleClass="coluna-duas-opcoes" headerText="#{msg.coluna_opcoes}" id="colunaOpcoesContato">
				<p:commandButton update=":tabViewOpcoes:frmCadastroTelefone:painelCadastroTelefoneEmpresa" oncomplete="PF('telefoneEmpresaDetalhesDialog').show()"
					process="@this" icon="ui-icon-pencil" title="#{msg.botao_editar}" style="width: 30px;">
					<f:setPropertyActionListener target="#{empresaBean.telefone}" value="#{telefoneEmpresa}" />
				</p:commandButton>

				<p:commandButton icon="ui-icon-trash" title="#{msg.botao_excluir}" oncomplete="PF('confirmacaoExclusaoTelefone').show()" process="@this"
					style="width: 30px;" update=":tabViewOpcoes:confirmacaoExclusaoTelefoneDialog">
					<f:setPropertyActionListener target="#{empresaBean.telefone}" value="#{telefoneEmpresa}" />
				</p:commandButton>
			</p:column>
		</p:dataTable>
	</h:form>

	<p:confirmDialog header="#{msg.confirmdialog_exclusao_titulo}" message="#{msg.confirmdialog_menssagem} #{empresaBean.telefone.telefone}?"
		widgetVar="confirmacaoExclusaoTelefone" id="confirmacaoExclusaoTelefoneDialog" showEffect="drop" hideEffect="drop">
		<h:form id="frmConfirmDialogTelefone">
			<p:button value="#{msg.confirmdialog_botao_nao}" onclick="PF('confirmacaoExclusaoTelefone').hide(); return false;" styleClass="ui-confirmdialog-no"
				icon="ui-icon-close" />
			<p:commandButton value="#{msg.confirmdialog_botao_sim}" oncomplete="PF('confirmacaoExclusaoTelefone').hide();"
				update=":tabViewOpcoes:frmPesquisaTelefones:tabelaTelefoneEmpresa " action="#{empresaBean.excluirTelefone}" process="@this" id="yesButton"
				styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
		</h:form>
	</p:confirmDialog>

	<p:dialog header="#{msg.subtitulo_pesquisa_contato}" widgetVar="telefoneEmpresaDetalhesDialog" modal="true" showEffect="drop" hideEffect="drop"
		resizable="false">
		<h:form id="frmCadastroTelefone">
			<p:outputPanel id="painelCadastroTelefoneEmpresa">

				<h:panelGrid columns="3" cellpadding="5">
					<p:outputLabel for="tipo" value="#{msg.telefone_tipo}" styleClass="estilo-campo" />
					<p:selectOneMenu id="tipo" value="#{empresaBean.telefone.tipo}" styleClass="estilo-campo">
						<f:selectItem itemLabel="#{msg.cadastro_selectitem_vazio}" />
						<f:selectItems value="#{empresaBean.tipoTelefone}" var="tipo" itemValue="#{tipo}" itemLabel="#{tipo.descricao}" />
					</p:selectOneMenu>
					<p:message for="tipo" display="icon" />

					<p:outputLabel for="ddi" value="#{msg.telefone_ddi}" styleClass="estilo-campo" />
					<p:selectOneMenu id="ddi" value="#{empresaBean.telefone.ddi}" effect="fade" filter="true" filterMatchMode="startsWith" var="pddi" styleClass="estilo-campo">
						<p:ajax event="change" process="@this" update="ddd" />

						<f:selectItem itemLabel="#{msg.cadastro_selectitem_vazio}" />
						<f:selectItems value="#{empresaBean.paises}" var="ddi" itemValue="#{ddi}" itemLabel="#{ddi.ddi}" />

						<p:column style="width:10%">
							<p:graphicImage value="#{empresaBean.telefone.ddi.bandeira}" />
						</p:column>

						<p:column>
							<p:outputLabel value="#{pddi.ddi}" />
						</p:column>

						<p:column>
							<p:outputLabel value="#{pddi.nome}" />
						</p:column>
					</p:selectOneMenu>
					<p:message for="ddi" display="icon" />

					<p:outputLabel value="#{msg.telefone_ddd}" for="ddd" styleClass="estilo-campo" />
					<p:inputText id="ddd" value="#{empresaBean.ddd}" styleClass="estilo-campo" readonly="#{empresaBean.faseRenderizacao}" />
					<p:commandButton icon="fa fa-search" process="@this" update="@none" action="#{empresaBean.abrirDialogoCidade}" ignoreAutoUpdate="true">
						<p:ajax event="dialogReturn" listener="#{empresaBean.cidadeSelecionada}" update="ddd" ignoreAutoUpdate="true" />
					</p:commandButton>					

					<p:outputLabel for="telefone" value="#{msg.telefone_telefone}" styleClass="estilo-campo" />
					<p:inputText id="telefone" value="#{empresaBean.telefone.telefone}" styleClass="estilo-campo" />
					<p:message for="telefone" display="icon" />

					<f:facet name="footer">
						<p:commandButton value="#{msg.botao_salvar}" action="#{empresaBean.inserirTelefone}"
							update=":tabViewOpcoes:frmPesquisaTelefones:tabelaTelefoneEmpresa :tabViewOpcoes:frmCadastroTelefone:painelCadastroTelefoneEmpresa"
							oncomplete="painelCadastroTelefoneEmpresa(xhr, status, args)" />
					</f:facet>
				</h:panelGrid>
			</p:outputPanel>
		</h:form>
	</p:dialog>
</ui:composition>